## org.mortbay.cometd
Class JSONPTransport

    java.lang.Object
      org.mortbay.cometd.AbstractTransport
          org.mortbay.cometd.JSONPTransport

All Implemented Interfaces:
  Transport

    public class JSONPTransport

extends AbstractTransport

Author:
  aabeling, gregw

Constructor Summary
`JSONPTransport()`
`JSONPTransport(boolean commented)`

Method Summary
`boolean` `alwaysResumePoll()`
`void` `complete()`
`String` `getJsonp()`
`boolean` `isJSONCommented()`
`boolean` `keepAlive()`
`void` `send(JSON.Literal reply)`
`void` `send(Map<String,Object> reply)`
`void` `setJSONCommented(boolean commented)`
`void` `setJsonp(String jsonp)`
`String` `toString()`

Methods inherited from class org.mortbay.cometd.AbstractTransport
`getResponse, isPolling, send, setPolling, setResponse`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JSONPTransport

    public JSONPTransport()

### JSONPTransport

    public JSONPTransport(boolean commented)

Method Detail

### send

    public void send(JSON.Literal reply)
              throws IOException

  Throws:
    `IOException`

### send

    public void send(Map<String,Object> reply)
              throws IOException

  Throws:
    `IOException`

### complete

    public void complete()
                  throws IOException

  Throws:
    `IOException`

### keepAlive

    public boolean keepAlive()
                      throws IOException

  Throws:
    `IOException`

### alwaysResumePoll

    public boolean alwaysResumePoll()

### getJsonp

    public String getJsonp()

### setJsonp

    public void setJsonp(String jsonp)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### isJSONCommented

    public boolean isJSONCommented()

  Returns:
    the commented

### setJSONCommented

    public void setJSONCommented(boolean commented)

  Parameters:
    `commented` - the commented to set

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.